 
  <form [formGroup]="formGroup"  class="flex p-4 space-x-2">
    <ion-avatar class="w-10 h-10 overflow-hidden shadow-sm">
      <img alt="avatar" class="w-full h-full" [src]="user()?.thumbnail ?? 'assets/images/avatar.png'" />
    </ion-avatar> 
    <div class="w-full space-y-2">
    
      <p class="py-1 text-sm font-medium leading-4">{{ user()?.username }}</p>
      <div class="relative rounded-md border border-[#D1D5DB] bg-white px-3 py-2.5 w-full h-24">
        <div class="relative w-[80%] h-full overflow-y-auto">
          <div class="absolute w-full" [innerHtml]="formControl.value" #textContainer></div>
          <textarea  (input)="onChange($event)" (keydown)="handleKeyDown($event)" formControlName="content"  (itemSelected)="onSelect($event)" [mention]="participants()" [mentionConfig]="{items: participants(), labelKey: 'username', mentionSelect: formatMention }" [mentionListTemplate]="mentionListTemplate" class="absolute w-full h-full p-0 text-sm font-semibold border-none opacity-0 resize-none focus:ring-0"></textarea>
          <ng-template #mentionListTemplate let-item="item">
            <div class="flex items-center space-x-2 hover:bg-slate-100">
              <ion-avatar class="w-6 h-6 overflow-hidden shadow-sm">
                <img alt="avatar" class="w-full h-full" [src]="item.thumbnail ?? 'assets/images/avatar.png'" />
              </ion-avatar> 
              <p class="text-sm font-semibold">{{ item.username }}</p>
            </div>
          </ng-template>
        </div>
         
        <div class="absolute bottom-2 right-2">
          <app-button class="px-4" (click)="onSubmit()">저장</app-button> 
        </div>
      </div>
    </div>
  </form> 
